# toolbox.cpp File Reference

writeme More...

`#include <gtk/gtk.h>`
`#include <gtkmm/uimanager.h>`
`#include <gtkmm/ruler.h>`
`#include <gtkmm/arrow.h>`
`#include <gtkmm/image.h>`
`#include <gdkmm/pixbufloader.h>`
`#include <gtkmm/viewport.h>`
`#include <gtkmm/adjustment.h>`
`#include <gtkmm/scrolledwindow.h>`
`#include <gtkmm/table.h>`
`#include <gtkmm/statusbar.h>`
`#include <gtkmm/menubar.h>`
`#include <gtkmm/menu.h>`
`#include <gtkmm/button.h>`
`#include <gtkmm/toolbar.h>`
`#include <gtkmm/box.h>`
`#include <gtkmm/stock.h>`
`#include <gtkmm/handlebox.h>`
`#include <gtkmm/inputdialog.h>`
`#include <sigc++/signal.h>`
`#include <sigc++/hide.h>`
`#include <sigc++/slot.h>`
`#include <sigc++/retype_return.h>`
`#include <sigc++/retype.h>`
`#include <sstream>`
`#include "toolbox.h"`
`#include "instance.h"`
`#include "app.h"`
`#include "canvasview.h"`
`#include "dialog_gradient.h"`
`#include "dialog_color.h"`
`#include "dialog_tooloptions.h"`
`#include "dialog_preview.h"`
`#include "dockable.h"`
`#include "dockmanager.h"`
`#include "dockdialog.h"`
`#include "widget_defaults.h"`
`#include <synfigapp/main.h>`
`#include "general.h"`

## Defines

#define | GRAB_HINT_DATA(y, default)
#define | TOGGLE_TOOLBOX_BUTTON(button, stockid, tooltip)
#define | TOOLBOX_BUTTON(button, stockid, tooltip)
#define | ADD_TOOLBOX_BUTTON(button, stockid, tooltip) Gtk::Button *TOOLBOX_BUTTON(button,stockid,tooltip)
#define | WIKI(title, page)

## Functions

void | save_selected_instance ()
void | save_as_selected_instance ()
void | save_all ()
void | close_selected_instance ()
static void | show_dialog_input ()
void | _create_stock_dialog1 ()
void | _create_stock_dialog2 ()

## Detailed Description

writeme

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define GRAB_HINT_DATA | ( | y,
|  | default |  | ) |

Value:

    { \
            String x; \
            if(synfigapp::Main::settings().get_value(String("pref.")+y+"_hints",x)) \
            { \
                set_type_hint((Gdk::WindowTypeHint)atoi(x.c_str()));    \
            } else {\
                set_type_hint(default); \
            } \
        }

#define TOGGLE_TOOLBOX_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    button = manage(new class Gtk::ToggleButton()); \
        icon=manage(new Gtk::Image(Gtk::StockID(stockid),Gtk::IconSize(4)));    \
        button->add(*icon); \
        tooltips.set_tip(*button,tooltip);  \
        icon->show();   \
        button->show()

#define TOOLBOX_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    button = manage(new class Gtk::Button());   \
        icon=manage(new Gtk::Image(Gtk::StockID(stockid),Gtk::IconSize(4)));    \
        button->add(*icon); \
        tooltips.set_tip(*button,tooltip);  \
        icon->show();   \
        button->show()

Referenced by studio::Toolbox::Toolbox().

#define ADD_TOOLBOX_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) | Gtk::Button *TOOLBOX_BUTTON(button,stockid,tooltip)

#define WIKI | ( | title,
|  | page |  | ) |

Value:

    helpmenu->items().push_back(Gtk::Menu_Helpers::MenuElem(title,  \
            sigc::bind(sigc::ptr_fun(&studio::App::open_url),String("http://synfig.org")+page)))

Referenced by studio::Toolbox::Toolbox().

## Function Documentation

void save_selected_instance | ( |  | ) |

References _, and studio::App::get_selected_instance().

Referenced by studio::Toolbox::Toolbox().

void save_as_selected_instance | ( |  | ) |

References _, and studio::App::get_selected_instance().

Referenced by studio::Toolbox::Toolbox().

void save_all | ( |  | ) |

Referenced by studio::Toolbox::Toolbox().

void close_selected_instance | ( |  | ) |

References _, and studio::App::get_selected_instance().

Referenced by studio::Toolbox::Toolbox().

static void show_dialog_input | ( |  | ) | `[static]`

Referenced by studio::Toolbox::Toolbox().

void _create_stock_dialog1 | ( |  | ) |

References studio::DockDialog::set_composition_selector(), and studio::DockDialog::set_contents().

Referenced by studio::Toolbox::Toolbox().

void _create_stock_dialog2 | ( |  | ) |

References studio::DockDialog::set_contents().

Referenced by studio::Toolbox::Toolbox().